# _X509Name
<span class="source-link">[[Source]](src/net-ssl/x509.md#L4)</span>
```pony
primitive val _X509Name
```

## Constructors

### create
<span class="source-link">[[Source]](src/net-ssl/x509.md#L4)</span>


```pony
new val create()
: _X509Name val^
```

#### Returns

* [_X509Name](net-ssl-_X509Name) val^

---

## Public Functions

### eq
<span class="source-link">[[Source]](src/net-ssl/x509.md#L5)</span>


```pony
fun box eq(
  that: _X509Name val)
: Bool val
```
#### Parameters

*   that: [_X509Name](net-ssl-_X509Name) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/net-ssl/x509.md#L5)</span>


```pony
fun box ne(
  that: _X509Name val)
: Bool val
```
#### Parameters

*   that: [_X509Name](net-ssl-_X509Name) val

#### Returns

* [Bool](builtin-Bool) val

---

